package com.zhongzheng.modules.bank.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.bank.bo.QuestionBankAddBo;
import com.zhongzheng.modules.bank.bo.QuestionBankEditBo;
import com.zhongzheng.modules.bank.bo.QuestionBankQueryBo;
import com.zhongzheng.modules.bank.domain.QuestionBank;
import com.zhongzheng.modules.bank.vo.QuestionBankVo;
import com.zhongzheng.modules.course.bo.CourseQueryBo;
import com.zhongzheng.modules.course.vo.CourseVo;

import java.util.Collection;
import java.util.List;

/**
 * 题库Service接口
 *
 * @author hjl
 * @date 2021-05-21
 */
public interface IQuestionBankService extends IService<QuestionBank> {
	/**
	 * 查询单个
	 * @return
	 */
	QuestionBankVo queryById(Long bankId);

	/**
	 * 查询列表
	 */
	List<QuestionBankVo> queryList(QuestionBankQueryBo bo);

	List<QuestionBankVo> selectBankList(QuestionBankQueryBo bo);

	List<QuestionBankVo> queryRecommendList(QuestionBankQueryBo bo);

	/**
	 * 根据新增业务对象插入题库
	 * @param bo 题库新增业务对象
	 * @return
	 */
	Long insertByAddBo(QuestionBankAddBo bo);

	/**
	 * 根据编辑业务对象修改题库
	 * @param bo 题库编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(QuestionBankEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
